> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List runs

> List model sync runs



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /storage/runs/list
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /storage/runs/list:
    get:
      tags:
        - Storage - Runs
      summary: List runs
      description: List model sync runs
      parameters:
        - in: query
          name: modelUuid
          schema:
            title: Model UUID
            description: Filter runs by model identifier.
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
          description: Filter runs by model identifier.
        - in: query
          name: statuses
          schema:
            title: Statuses
            description: Run statuses to include.
            type: array
            items:
              type: string
              enum:
                - pending
                - running
                - success
                - error
                - cancelled
                - cancelling
          description: Run statuses to include.
        - in: query
          name: limit
          schema:
            title: Limit
            description: Maximum number of runs to return.
            type: string
          description: Maximum number of runs to return.
        - in: query
          name: offset
          schema:
            title: Offset
            description: Number of runs to skip.
            type: string
          description: Number of runs to skip.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  runs:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                        workspaceUuid:
                          type: string
                        modelUuid:
                          type: string
                        status:
                          type: string
                          enum:
                            - pending
                            - running
                            - cancelling
                            - cancelled
                            - error
                            - success
                        temporalWorkflowId:
                          type: string
                        errorMessage:
                          anyOf:
                            - type: string
                            - type: 'null'
                        s3Filenames:
                          type: array
                          items:
                            type: string
                        finishedAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                      required:
                        - uuid
                        - workspaceUuid
                        - modelUuid
                        - status
                        - temporalWorkflowId
                        - errorMessage
                        - s3Filenames
                        - finishedAt
                        - createdAt
                        - updatedAt
                      additionalProperties: false
                    title: Runs
                    description: List of runs.
                required:
                  - runs
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````